summaryrefslogtreecommitdiffstats
path: root/Utilities
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2017-03-06 15:31:32 (GMT)
committerKitware Robot <kwrobot@kitware.com>2017-03-06 15:31:36 (GMT)
commita55ed1a37c74a7a112e6c355af0658b5d89dede1 (patch)
tree5ca2f9407e4bd8d94debd02ea4c6e76ad1cbfb48 /Utilities
parent9f40ba259a1d55e9277e0d0c2b706272a0ee75ee (diff)
parent9a1ee04dd5b7da3bda7159500b3eeda16ee86fb0 (diff)
downloadCMake-a55ed1a37c74a7a112e6c355af0658b5d89dede1.zip
CMake-a55ed1a37c74a7a112e6c355af0658b5d89dede1.tar.gz
CMake-a55ed1a37c74a7a112e6c355af0658b5d89dede1.tar.bz2
Merge topic 'binaries-from-gitlab-repo'
9a1ee04d Utilities/Release: Fetch from gitlab.kitware.com repository Acked-by: Kitware Robot <kwrobot@kitware.com> Merge-request: !547
Diffstat (limited to 'Utilities')
-rw-r--r--Utilities/Release/release_cmake.cmake8
-rwxr-xr-xUtilities/Release/release_cmake.sh.in6
2 files changed, 11 insertions, 3 deletions
diff --git a/Utilities/Release/release_cmake.cmake b/Utilities/Release/release_cmake.cmake
index 0db89b5..ee1a0dc 100644
--- a/Utilities/Release/release_cmake.cmake
+++ b/Utilities/Release/release_cmake.cmake
@@ -32,9 +32,15 @@ if(NOT DEFINED GIT_COMMAND)
set(GIT_COMMAND git)
endif()
-if(${CMAKE_CREATE_VERSION} MATCHES "^(release|maint|next|nightly)$")
+if(CMAKE_CREATE_VERSION MATCHES "^(master|release)$")
+ set(GIT_FETCH "")
set(GIT_BRANCH origin/${CMAKE_CREATE_VERSION})
+elseif(CMAKE_CREATE_VERSION STREQUAL "nightly")
+ set(nightly stage/master/nightly/latest)
+ set(GIT_FETCH "${GIT_COMMAND} fetch origin refs/${nightly}:refs/remotes/origin/${nightly}")
+ set(GIT_BRANCH origin/${nightly})
else()
+ set(GIT_FETCH "")
set(GIT_BRANCH ${CMAKE_CREATE_VERSION})
endif()
diff --git a/Utilities/Release/release_cmake.sh.in b/Utilities/Release/release_cmake.sh.in
index 1465129..f363b3d 100755
--- a/Utilities/Release/release_cmake.sh.in
+++ b/Utilities/Release/release_cmake.sh.in
@@ -94,13 +94,15 @@ cd @CMAKE_RELEASE_DIRECTORY@
if [ ! -z "@GIT_COMMAND@" ]; then
# clone the repo without creating any source files in the directory
# matching the branch being built (i.e. master CMake-2-8, etc)
- @GIT_COMMAND@ clone -n git://cmake.org/cmake.git @CMAKE_CREATE_VERSION@
- check_exit_value $? "Checkout git cmake source" || exit 1
+ @GIT_COMMAND@ clone -n https://gitlab.kitware.com/cmake/cmake.git @CMAKE_CREATE_VERSION@
+ check_exit_value $? "git clone cmake source" || exit 1
# go into the git directory
cd @CMAKE_CREATE_VERSION@
# run any extra commands if they exist
@GIT_EXTRA@
check_exit_value $? "git extra cmake source" || exit 1
+ @GIT_FETCH@
+ check_exit_value $? "git extra fetch" || exit 1
# now checkout a copy on the local branch working
@GIT_COMMAND@ checkout -b working @GIT_BRANCH@
check_exit_value $? "git checkout" || exit 1